package com.setqq.script.sdk;

/**
 * Created by Saki on 2018/6/4.
 */

public interface ApiInterface {
    String getTextMsg();
    String getMsg(String key);
    void clearMsg();
    void add(String type, String msg);
    String at(int index);
    int atCnt();
    String httpCall(String method, String url, String data, String head);
    String load(String path, String key, String defaultValue);
    String read(String path);
    void logE(String info);
    void logI(String info);
    void logW(String info);
    double robot();
    String getRootPath();
    String getScriptPath();
    String getLibPath();
    void save(String path, String key, String value);
    void write(String path,String c);
    ApiInterface send();
    int getType();
    double getGroupId();
    double getCode();
    double getUin();
    double getTime();
    int getValue();
    String getGroupName();
    String getUinName();
    String getTitle();
    void setType(int type);
    void setGroupId(double id);
    void setCode(double code);
    void setUin(double uin);
    void setTime(double Time);
    void setValue(int value);
    void setGroupName(String name);
    void setUinName(String name);
    void setTitle(String title);
    void runTimeout(String function,String param,long time);
}
